# sageCall

## Description

Is a function that are needed when user want to use sage table.

## Input / Parameters

| No | Name      | Description                                                               | Data Type | Required |
| -- | --------- | ------------------------------------------------------------------------- | --------- | -------- |
| 1  | connector | Name of connector and created in the Services and Global Components page. | String    | Yes      |
| 2  | ent       | Name of Sage table                                                        | String    | Yes      |
| 3  | function  | The function from the Web Service to be executed.                         | String    | Yes      |
| 4  | data      | This contains the main parameter in the function being called.            | Object    | No       |
| 5  | extra     |                                                                           |           | No       |

## Output

## Callback

## Video

## Example

The user wants to use Sage table.

### Step

1. Create SAGE Connector in Services and define the name, url and timeOut.\
   Name: conn\
   url: <http://sage300demo.sageasiapac.com\\>
   basepath: /Sage300WebApi\
   apiVersion: 1.0\
   tenant: -\
   company: SAMLTD\
   user: DEMO\
   password: \*\*\*\*\
   timeOut: 30000

   ![](/files/Yzvp4tkNeFtv8VPExXj0)
2. Make sure Sage table exist inside the services.

   ![](/files/iwfQEE4MEma3VNzn6cjB)
3. Call the function "sageCall".

   ![](/files/fDqpszxcO3jdyGR8A5SM)
4. Add a console after callback function for display response from console.

   ![](/files/efdSQtwtcD7TcSM810j8)

### Result

![](/files/2q73Thtjbn31SxMm5Ubh)

## Links

* N/A


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/sagecall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
